package com.example.ueberwachungssystem;

import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import androidx.annotation.NonNull;

import java.util.List;

public class VideoAdapter extends ArrayAdapter<String> {

    private List<String> fileList;
    private OnFileClickListener listener;

    public VideoAdapter (Context context, List<String> fileList, OnFileClickListener listener) {
        super(context, 0, fileList);
        this.fileList = fileList;
        this.listener = listener;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        if (convertView == null) {
            convertView = LayoutInflater.from(getContext()).inflate(R.layout.list_item_file, parent, false);
        }

        TextView fileNameText = convertView.findViewById(R.id.file_name_text);
        final String fileName = fileList.get(position);
        fileNameText.setText(fileName);

        convertView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                listener.onFileClick(fileName);
                listener.onFileClick(fileName);
            }
        });

        return convertView;
    }

    public interface OnFileClickListener {
        View onCreateView(LayoutInflater inflater, ViewGroup container,
                          Bundle savedInstanceState);

        void onFileClick(String fileName);
    }
}
